/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumIsocode;
import de.ship.db.tables.VCoreCombinedLabel;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreCombinedLabelRecord extends TableRecordImpl<VCoreCombinedLabelRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_combined_label.unique_name</code>.
     */
    public void setUniqueName(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_combined_label.unique_name</code>.
     */
    public String getUniqueName() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_combined_label.dn</code>.
     */
    public void setDn(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_combined_label.dn</code>.
     */
    public String getDn() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_combined_label.isocode</code>.
     */
    public void setIsocode(EnumIsocode value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_combined_label.isocode</code>.
     */
    public EnumIsocode getIsocode() {
        return (EnumIsocode) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_combined_label.is_variable</code>.
     */
    public void setIsVariable(Boolean value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_combined_label.is_variable</code>.
     */
    public Boolean getIsVariable() {
        return (Boolean) get(3);
    }

    /**
     * Setter for <code>common_dd.v_core_combined_label.hier_lang</code>.
     */
    public void setHierLang(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_core_combined_label.hier_lang</code>.
     */
    public String getHierLang() {
        return (String) get(4);
    }

    /**
     * Setter for <code>common_dd.v_core_combined_label.prefix</code>.
     */
    public void setPrefix(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_core_combined_label.prefix</code>.
     */
    public String getPrefix() {
        return (String) get(5);
    }

    /**
     * Setter for <code>common_dd.v_core_combined_label.vargroup_label</code>.
     */
    public void setVargroupLabel(String value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.v_core_combined_label.vargroup_label</code>.
     */
    public String getVargroupLabel() {
        return (String) get(6);
    }

    /**
     * Setter for <code>common_dd.v_core_combined_label.unit_label</code>.
     */
    public void setUnitLabel(String value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.v_core_combined_label.unit_label</code>.
     */
    public String getUnitLabel() {
        return (String) get(7);
    }

    /**
     * Setter for <code>common_dd.v_core_combined_label.variable_label</code>.
     */
    public void setVariableLabel(String value) {
        set(8, value);
    }

    /**
     * Getter for <code>common_dd.v_core_combined_label.variable_label</code>.
     */
    public String getVariableLabel() {
        return (String) get(8);
    }

    /**
     * Setter for <code>common_dd.v_core_combined_label.prepared_unit</code>.
     */
    public void setPreparedUnit(String value) {
        set(9, value);
    }

    /**
     * Getter for <code>common_dd.v_core_combined_label.prepared_unit</code>.
     */
    public String getPreparedUnit() {
        return (String) get(9);
    }

    /**
     * Setter for
     * <code>common_dd.v_core_combined_label.prepared_short_label</code>.
     */
    public void setPreparedShortLabel(String value) {
        set(10, value);
    }

    /**
     * Getter for
     * <code>common_dd.v_core_combined_label.prepared_short_label</code>.
     */
    public String getPreparedShortLabel() {
        return (String) get(10);
    }

    /**
     * Setter for
     * <code>common_dd.v_core_combined_label.prepared_medium_label</code>.
     */
    public void setPreparedMediumLabel(String value) {
        set(11, value);
    }

    /**
     * Getter for
     * <code>common_dd.v_core_combined_label.prepared_medium_label</code>.
     */
    public String getPreparedMediumLabel() {
        return (String) get(11);
    }

    /**
     * Setter for <code>common_dd.v_core_combined_label.prepared_label</code>.
     */
    public void setPreparedLabel(String value) {
        set(12, value);
    }

    /**
     * Getter for <code>common_dd.v_core_combined_label.prepared_label</code>.
     */
    public String getPreparedLabel() {
        return (String) get(12);
    }

    /**
     * Setter for <code>common_dd.v_core_combined_label.crf_label</code>.
     */
    public void setCrfLabel(String value) {
        set(13, value);
    }

    /**
     * Getter for <code>common_dd.v_core_combined_label.crf_label</code>.
     */
    public String getCrfLabel() {
        return (String) get(13);
    }

    /**
     * Setter for <code>common_dd.v_core_combined_label.short_label</code>.
     */
    public void setShortLabel(String value) {
        set(14, value);
    }

    /**
     * Getter for <code>common_dd.v_core_combined_label.short_label</code>.
     */
    public String getShortLabel() {
        return (String) get(14);
    }

    /**
     * Setter for <code>common_dd.v_core_combined_label.medium_label</code>.
     */
    public void setMediumLabel(String value) {
        set(15, value);
    }

    /**
     * Getter for <code>common_dd.v_core_combined_label.medium_label</code>.
     */
    public String getMediumLabel() {
        return (String) get(15);
    }

    /**
     * Setter for <code>common_dd.v_core_combined_label.full_label</code>.
     */
    public void setFullLabel(String value) {
        set(16, value);
    }

    /**
     * Getter for <code>common_dd.v_core_combined_label.full_label</code>.
     */
    public String getFullLabel() {
        return (String) get(16);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreCombinedLabelRecord
     */
    public VCoreCombinedLabelRecord() {
        super(VCoreCombinedLabel.V_CORE_COMBINED_LABEL);
    }

    /**
     * Create a detached, initialised VCoreCombinedLabelRecord
     */
    public VCoreCombinedLabelRecord(String uniqueName, String dn, EnumIsocode isocode, Boolean isVariable, String hierLang, String prefix, String vargroupLabel, String unitLabel, String variableLabel, String preparedUnit, String preparedShortLabel, String preparedMediumLabel, String preparedLabel, String crfLabel, String shortLabel, String mediumLabel, String fullLabel) {
        super(VCoreCombinedLabel.V_CORE_COMBINED_LABEL);

        setUniqueName(uniqueName);
        setDn(dn);
        setIsocode(isocode);
        setIsVariable(isVariable);
        setHierLang(hierLang);
        setPrefix(prefix);
        setVargroupLabel(vargroupLabel);
        setUnitLabel(unitLabel);
        setVariableLabel(variableLabel);
        setPreparedUnit(preparedUnit);
        setPreparedShortLabel(preparedShortLabel);
        setPreparedMediumLabel(preparedMediumLabel);
        setPreparedLabel(preparedLabel);
        setCrfLabel(crfLabel);
        setShortLabel(shortLabel);
        setMediumLabel(mediumLabel);
        setFullLabel(fullLabel);
        resetChangedOnNotNull();
    }
}
